/*************************************************************************
/* toString12.java -- Test java.text.FieldPosition toString()
/*
/* Copyright (c) 2003 Free Software Foundation, Inc.
/* Written by Dalibor Topic <robilad@kaffe.org>
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published 
/* by the Free Software Foundation, either version 2 of the License, or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; if not, write to the Free Software Foundation
/* Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA
/*************************************************************************/

// Tags: JDK1.2
// Uses: FieldPositions12 toString

package gnu.testlet.java.text.FieldPosition;

import gnu.testlet.Testlet;
import gnu.testlet.TestHarness;

/**
 *  Test behaviour of <code>toString()</code> method.
 *  This test only checks if toString is equal for equal objects,
 *  and is different for differing objects with respect to the
 *  fields and methods available in JDK 1.2.
 *
 * @author <a href="mailto:robilad@kaffe.org">Dalibor Topic</a>
 * @version 1.0
 */
public class toString12 implements Testlet
{
  /**
   * Test the behaviour of the method.
   *
   * @param harness a <code>TestHarness</code>
   */
  public void test(TestHarness harness)
  {
    toString.test(harness, new FieldPositions12());
  }

} // class toString12
